------------------------
-- Kevin Depue (2010) --
-- Backflip Studios   --
--                    --
-- Utility            --
------------------------

-- module --
module(...,package.seeall)

-- Generates a random float in the range [min, max].
function frandom( min, max )
	return min + ( max - min ) * math.random()
end

-- Generates a random normal in angle range [min, max].
function random_normal( min, max )
	local angle = frandom( math.rad( min ), math.rad( max ) )
	
	return v2f( math.cos( angle ), math.sin( angle ) ):normalized()
end

